package com.example.flutter_open_file;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** FlutterOpenFilePlugin */
public class FlutterOpenFilePlugin implements MethodCallHandler {
  /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "flutter_open_file");
    channel.setMethodCallHandler(new FlutterOpenFilePlugin());
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("open")) {
      //result.success("Android " + android.os.Build.VERSION.RELEASE);

      Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(call.argument('path')));
      intent.setDataAndType(Uri.parse(call.argument('path'))), call.argument('type') + "/*");
      startActivity(intent);
    } else {
      result.notImplemented();
    }
  }
}
