import 'dart:io';

import 'package:flutter/services.dart';

enum FileType{
  video,
  audio,
}

class FlutterOpenFile {   
  static const MethodChannel _channel = const MethodChannel('flutter_open_file');

  static open(path, type) {
    if (path == null || type == null) {
      throw Exception('All arguments need to be given');
    }

    File(path).exists().then((exists) {
      if (exists) {
        String typeString;

        if (type == FileType.video) {
          typeString = 'video';
        } else if (type == FileType.audio) {
          typeString = 'audio';
        }

        _channel.invokeMethod('open', {"path": path, "type": typeString});
      } else {
        throw Exception(
          'Requested file does not exist',
        );
      }
    });
  }

  // static Future<String> get platformVersion async {
  //   final String version = await _channel.invokeMethod('getPlatformVersion');
  //   return version;
  // }
}
